# Uses of Interface
java.sql.Array

Packages that use Array
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of Array in java.sql

Methods in java.sql that return Array
Modifier and Type
Method
Description
`Array`
Connection.`createArrayOf(String typeName, Object[] elements)`
Factory method for creating Array objects.
`Array`
CallableStatement.`getArray(int parameterIndex)`
Retrieves the value of the designated JDBC `ARRAY` parameter as an `Array` object in the Java programming language.
`Array`
CallableStatement.`getArray(String parameterName)`
Retrieves the value of a JDBC `ARRAY` parameter as an `Array` object in the Java programming language.
`Array`
ResultSet.`getArray(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
`Array`
ResultSet.`getArray(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as an `Array` object in the Java programming language.
`Array`
SQLInput.`readArray()`
Reads an SQL `ARRAY` value from the stream and returns it as an `Array` object in the Java programming language.
Methods in java.sql with parameters of type Array
Modifier and Type
Method
Description
`void`
PreparedStatement.`setArray(int parameterIndex, Array x)`
Sets the designated parameter to the given `java.sql.Array` object.
`void`
ResultSet.`updateArray(int columnIndex, Array x)`
Updates the designated column with a `java.sql.Array` value.
`void`
ResultSet.`updateArray(String columnLabel, Array x)`
Updates the designated column with a `java.sql.Array` value.
`void`
SQLOutput.`writeArray(Array x)`
Writes an SQL `ARRAY` value to the stream.

## Uses of Array in javax.sql

Methods in javax.sql with parameters of type Array
Modifier and Type
Method
Description
`void`
RowSet.`setArray(int i, Array x)`
Sets the designated parameter in this `RowSet` object's command with the given `Array` value.

## Uses of Array in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type Array
Modifier and Type
Method
Description
`void`
BaseRowSet.`setArray(int parameterIndex, Array array)`
Sets the designated parameter to an `Array` object in the Java programming language.

## Uses of Array in javax.sql.rowset.serial

Classes in javax.sql.rowset.serial that implement Array
Modifier and Type
Class
Description
`class`
`SerialArray`
A serialized version of an `Array` object, which is the mapping in the Java programming language of an SQL `ARRAY` value.
Methods in javax.sql.rowset.serial that return Array
Modifier and Type
Method
Description
`Array`
SQLInputImpl.`readArray()`
Reads an SQL `ARRAY` value from the stream and returns it as an `Array` object in the Java programming language.
Methods in javax.sql.rowset.serial with parameters of type Array
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeArray(Array x)`
Writes an `Array` object in the Java programming language to this `SQLOutputImpl` object.
Constructors in javax.sql.rowset.serial with parameters of type Array
Modifier
Constructor
Description
``
`SerialArray(Array array)`
Constructs a new `SerialArray` object from the given `Array` object.
``
`SerialArray(Array array, Map<String,Class<?>> map)`
Constructs a new `SerialArray` object from the given `Array` object, using the given type map for the custom mapping of each element when the elements are SQL UDTs.